diff --git a/src/bin/pg_dump/t/002_pg_dump.pl b/src/bin/pg_dump/t/002_pg_dump.pl
new file mode 100644
index 2afd950..c687f0f
*** a/src/bin/pg_dump/t/002_pg_dump.pl
--- b/src/bin/pg_dump/t/002_pg_dump.pl
*************** my %tests = (
*** 1521,1526 ****
--- 1521,1541 ----
  		unlike => { exclude_dump_test_schema => 1, },
  	},
  
+ 	'CREATE OPERATOR CLASS dump_test.op_class_empty' => {
+ 		create_order => 89,
+ 		create_sql   => 'CREATE OPERATOR CLASS dump_test.op_class_empty
+ 		                 FOR TYPE bigint USING btree FAMILY dump_test.op_family
+ 						 AS STORAGE bigint;',
+ 		regexp => qr/^
+ 			\QCREATE OPERATOR CLASS dump_test.op_class_empty\E\n\s+
+ 			\QFOR TYPE bigint USING btree FAMILY dump_test.op_family AS\E\n\s+
+ 			\QSTORAGE bigint;\E
+ 			/xm,
+ 		like =>
+ 		  { %full_runs, %dump_test_schema_runs, section_pre_data => 1, },
+ 		unlike => { exclude_dump_test_schema => 1, },
+ 	},
+ 
  	'CREATE EVENT TRIGGER test_event_trigger' => {
  		create_order => 33,
  		create_sql   => 'CREATE EVENT TRIGGER test_event_trigger
